Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 05 Feb 2020 09:31:12 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I am extremely disappointed in the service of click and collect as well as in the customer service I made a simple order on 31 Jan and until today I have not received my order When I contacted the customer service they were unable to provide me with any information All they do is send emails to warehouse They were not able to locate my order and unable to provide me with a solution Now I want complete refund of my order / App Version: 6.25 / Android Version: 9 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/444755